---
title: SpeechSynthesisVoice.localService
slug: Web/API/SpeechSynthesisVoice/localService
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesisVoice
  - Web Speech API
  - localService
  - speech
  - synthesis
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>localService</strong></code> read-only property of the {{domxref("SpeechSynthesisVoice")}} interface returns a {{domxref("Boolean")}} indicating whether the voice is supplied by a local speech synthesizer service (<code>true</code>), or a remote speech synthesizer service (<code>false</code>.)</p>

<p>This property is provided to allow differentiation in the case that some voice options are provided by a remote service; it is possible that remote voices might have extra latency, bandwidth or cost associated with them, so such distinction may be useful.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var amILocal = speechSynthesisVoiceInstance.localService;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">for(i = 0; i &lt; voices.length ; i++) {
  var option = document.createElement('option');
  option.textContent = voices[i].name + ' (' + voices[i].lang + ')';

  if(voices[i].default) {
    option.textContent += ' -- DEFAULT';
  }

  console.log(voices[i].localService);

  option.setAttribute('data-lang', voices[i].lang);
  option.setAttribute('data-name', voices[i].name);
  voiceSelect.appendChild(option);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechsynthesisvoice-localservice', 'localService')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechSynthesisVoice.localService")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
